import { visit } from "unist-util-visit";
function rehypeImages() {
  return () => function(tree, file) {
    visit(tree, (node) => {
      var _a;
      if (node.type !== "element")
        return;
      if (node.tagName !== "img")
        return;
      if ((_a = node.properties) == null ? void 0 : _a.src) {
        if (file.dirname) {
          if (!isRelativePath(node.properties.src) && !isAliasedPath(node.properties.src))
            return;
          node.properties["__ASTRO_IMAGE_"] = node.properties.src;
          delete node.properties.src;
        }
      }
    });
  };
}
function isAliasedPath(path) {
  return path.startsWith("~/assets");
}
function isRelativePath(path) {
  return startsWithDotDotSlash(path) || startsWithDotSlash(path);
}
function startsWithDotDotSlash(path) {
  const c1 = path[0];
  const c2 = path[1];
  const c3 = path[2];
  return c1 === "." && c2 === "." && c3 === "/";
}
function startsWithDotSlash(path) {
  const c1 = path[0];
  const c2 = path[1];
  return c1 === "." && c2 === "/";
}
export {
  rehypeImages
};
