import { visit } from "unist-util-visit";
function toRemarkCollectImages() {
  return () => async function(tree, vfile) {
    if (typeof (vfile == null ? void 0 : vfile.path) !== "string")
      return;
    const imagePaths = /* @__PURE__ */ new Set();
    visit(tree, "image", function raiseError(node) {
      imagePaths.add(node.url);
    });
    vfile.data.imagePaths = Array.from(imagePaths);
  };
}
export {
  toRemarkCollectImages as default
};
